package nodes

import (
	"code.fbi.h-da.de/danet/gosdn/controller/conflict"
	"github.com/google/uuid"
)

// Node is a representation of a network element.
type Node struct {
	ID       uuid.UUID         `bson:"_id"`
	Metadata conflict.Metadata `bson:"metadata"`
	Name     string            `bson:"name"`
}

// GetID returns the id of a node.
func (n Node) GetID() uuid.UUID {
	return n.ID
}
